Reset Group Conversation
curl --request DELETE \
--url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>' \
--data '
{
"preserveOrder": false
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation"
payload = { "preserveOrder": False }
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
onBehalfOf: '<onbehalfof>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({preserveOrder: false})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "The conversation superhero1_user_superhero2 has been deleted successfully for UID superhero1."
}
}Conversations
Reset Group Conversation
Resetting Group Conversation
DELETE
/
groups
/
{guid}
/
conversation
Reset Group Conversation
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
GUID of the group whose conversation needs to be fetched.
Body
application/json
When set to true, maintains the conversation's position in the user's conversation list after reset.
Response
200 - application/json
Resetted user Conversations
Was this page helpful?
⌘I